Subject: Re: [patch 1/1] powerpc: enable ARCH_DMA_ADDR_T_64BIT with ARCH_PHYS_ADDR_T_64BIT

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 03 Oct 2010 17:20:58 +1100

> Really?
> 
> The current dma_addr_t is:
> 
> #if defined(__powerpc64__) || defined(CONFIG_PHYS_64BIT)
> typedef u64 dma_addr_t;
> #else
> typedef u32 dma_addr_t;
> #endif
> typedef u64 dma64_addr_t;

-EBRAINFAI ... either I wasn't looking when we changed it or I just
forgot :-) We -used-, I'm pretty sure, to have it always 32-bit :-)

Anyways, doesn't matter. Patch looks good. We can always tweak the
config option if we want to later.

Cheers,
Ben.

> 
> I think that this patch doesn't change anything. Or I miss something?
> 
> @@ -22,6 +22,9 @@ config WORD_SIZE
>  config ARCH_PHYS_ADDR_T_64BIT
>         def_bool PPC64 || PHYS_64BIT
> 
> +config ARCH_DMA_ADDR_T_64BIT
> +       def_bool ARCH_PHYS_ADDR_T_64BIT
> +
>  config MMU
>         bool
>         default y